# pandas.MultiIndex.sortlevel

`MultiIndex.``sortlevel`(level=0, ascending=True, sort_remaining=True)

  Sort MultiIndex at the requested level. The result will respect the original ordering of the associated factor at that level.

  Parameters:

  level : list-like, int or str, default 0

  > If a string is given, must be a name of the level If list-like must be names or ints of levels.

  ascending : boolean, default True

  > False to sort in descending order Can also be a list to specify a directed ordering

  sort_remaining : sort by the remaining levels after level.

  Returns:

  sorted_index : pd.MultiIndex

  > Resulting index

  indexer : np.ndarray

  > Indices of output values in original index

Scroll To Top